按 Enter 到主內容區
:::

TWCERT-電子報

:::

12,000 台 Juniper 網通產品內含嚴重 RCE 漏洞

發布日期:
字型大小:
  • 發布單位:TWCERT/CC
  • 更新日期:2023-09-25
  • 點閱次數:218
12,000 台 Juniper 網通產品內含嚴重 RCE 漏洞 twcertcc

資安專家估計,市面上約有 12,000 Juniper SRX 防火牆裝置與 EX 系列交換器,內含一個嚴重的資安漏洞,駭侵者可透過該漏洞,無需檔案和登入驗證,即可遠端執行任意程式碼。

在 2023 年 8 月時,Juniper 自行在資安通報中公開了數個 PHP 環境變數操弄的漏洞,包括 CVE-2023-36844、CVE-2023-36845,以及數個關鍵功能無需登入驗證的漏洞,包括 CVE-2023-36846、CVE-2023-36847。當時這些漏洞的 CVSS 危險程度評分較低,僅有 5.3 分(滿分為 10 分),危險程度評級為「中等」(medium)。

然而資安專家發現,可以把這些漏洞組合成一個更危險的資安漏洞,用以遠端執行任意程式碼;這使得合成漏洞的危險程度評分立即上升到 9.8 分;甚至可以在無需上傳任何檔案的情況下,僅僅利用 CVE-2023-36845 這個單一漏洞,就能在受攻擊裝置上遠端執行任意程式碼。

資安廠商 VulnCheck 在近期發表的研究報告中,公開了該公司旗下資安專家發展出的概念攻擊證明(PoC)流程;該流程可利用 GitHub 上可免費取得使用的掃瞄工具,在開放網路上找到 12,000 台以上含有此漏洞的 Juniper 網路裝置加以攻擊。

受 CVE-2023-36845 漏洞影響的 Juniper 網通產品,包括執行下列版本 Junos OS 的 EX 與 SRX 系列機型:

  • 20.4R3-S8 先前所有版本
  • 21.1 版本 21.1R1 與後續版本
  • 21.2R3-S6 先前的 21.2 版本
  • 21.3R3-S5 先前的 21.3 版本
  • 21.4R3-S5 先前的 21.4 版本
  • 22.1R3-S3 先前的 22.1 版本
  • 22.2R3-S2 先前的 22.2 版本
  • 22.3R2-S2、22.3R3 先前的 22.3 版本
  • 22.4R2-S1、22.4R3 先前的 22.4 版本

Juniper 已在日前釋出更新版本,但網路上仍有眾多受影響設備仍未及更新。

建議系統管理員應時時注意各軟硬體設備的漏洞與更新消息,並於第一時間套用更新,以免遭駭侵者透過已知但未修補的漏洞發動攻擊。

回頁首